Subject: Crosscompiling again...
From: [email-masked] (Gerhard Wesp)

14 Mar 1997 16:47:39 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Original-To: [email-masked]
X-Mailer: Mutt 0.57
Original-Sender: [email-masked]

 Hi all,

Finally I have successfully installed the crosscompile toolkit on my linux
box. A few problems remain, however:
 
1) I'm including
#include <windows.h>
#include <unistd.h>
#include <netinet/in.h>
#include <netdb.h>
#include <arpa/inet.h>
#include <sys/types.h>
#include <sys/socket.h>

but none of them seems to define e.g. SO_RCVBUF. There _are_ some include
files that define it, but if I use them, I get lots of definition
conflicts for other things. (e.g. mywinsock.h, Windows32/Sockets.h).

2) cygwin32_getsockopt seems to be missing in the libraries (setsockopt 
   is there, however)

3) ANSI signal handling doesn't seem to work properly (I have installed
   a signal handler for SIGINT, and if I press ^C on my app, it
   'core dumps' (i.e. gpf in module cygwin.dll) Yes, the code works
   under Linux and Windows/VC++ ;-)

4) Can I link statically (i.e. such that the executable doesn't require 
   the rather large cygwin.dll)?

Apart from that, thanks to the developers for a great tool!

-Gerhard
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".